Viewing Gentrace v2 documentation View Gentrace v1
Viewing Gentrace v2 documentation View Gentrace v1
List test cases
curl --request GET \
--url https://gentrace.ai/api/v4/test-cases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"inputs": {
"query": "What is the capital of France?"
},
"expectedOutputs": {
"answer": "Paris"
},
"datasetId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Capital of France query",
"pipelineId": "abcdef12-3456-7890-abcd-ef1234567890",
"archivedAt": "2025-04-01T00:00:00.000Z",
"deletedAt": "2025-04-01T00:00:00.000Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter Gentrace API key (Format: Authorization: Bearer )
Dataset ID
"123e4567-e89b-12d3-a456-426614174000"
Filter to the datasets for a specific pipeline by UUID
"123e4567-e89b-12d3-a456-426614174000"
Pipeline slug
1"email-summarizer"
Successful response
Show child attributes
curl --request GET \
--url https://gentrace.ai/api/v4/test-cases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"inputs": {
"query": "What is the capital of France?"
},
"expectedOutputs": {
"answer": "Paris"
},
"datasetId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Capital of France query",
"pipelineId": "abcdef12-3456-7890-abcd-ef1234567890",
"archivedAt": "2025-04-01T00:00:00.000Z",
"deletedAt": "2025-04-01T00:00:00.000Z"
}
]
}